
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何在Linux中永久修改USB设备权限 / iVAN</title>

    <meta name="description" content="如何在Linux中永久修改USB设备权限 提问:当我尝试在 Linux 中运行 USB GPS 接收器时我遇到了下面来自 gpsd 的错误. gpsd[377]: gpsd:ERROR: read-only device open failed: Permission denied  gpsd[377]: gpsd:ERROR: /dev/ttyUSB0: device activation failed.  gpsd[377]: gpsd:ERROR: device open failed: Permission denied - r">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何在Linux中永久修改USB设备权限</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>提问</strong>：<strong>当我尝试在 Linux 中运行 USB GPS 接收器时我遇到了下面来自 gpsd 的错误。</strong></p>
<pre>
</pre>
<ol>
<li>gpsd[377]: gpsd:ERROR: read-only device open failed: Permission denied </li>
<li>gpsd[377]: gpsd:ERROR: /dev/ttyUSB0: device activation failed. </li>
<li>gpsd[377]: gpsd:ERROR: device open failed: Permission denied - retrying read-only  </li>
</ol>
<p>看上去 gpsd 没有权限访问 USB 设备（/dev/ttyUSB0）。我该如何永久修改它在Linux上的权限呢？</p>
<p><a href="http://s7.51cto.com/wyfs02/M00/74/BE/wKioL1Yob1fRVJ-AAABp6yMFsGU921.jpg-wh_651x-s_3759232325.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczcuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNzQvQkUvd0tpb0wxWW9iMWZSVkotQUFBQnA2eU1Gc0dVOTIxLmpwZy13aF82NTF4LXNfMzc1OTIzMjMyNS5qcGc=.jpg"></a></p>
<p>当你在运行一个会读取或者写入USB设备的进程时，进程的用户/组必须有权限这么做才行。当然你可以手动用<code>chmod</code>命令改变 USB 设备的权限，但是手动的权限改变只是暂时的。USB 设备会在下次重启时恢复它的默认权限。</p>
<p><a href="http://s6.51cto.com/wyfs02/M01/74/BE/wKioL1Yob-CRggdXAACYELbdIxo085.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczYuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNzQvQkUvd0tpb0wxWW9iLUNSZ2dkWEFBQ1lFTGJkSXhvMDg1LmpwZw==.jpg"></a></p>
<p>作为一个永久的方式，你可以创建一个基于 udev 的 USB 权限规则，它可以根据你的选择分配任何权限模式。下面是该如何做。</p>
<p>首先，你需要找出 USB 设备的 vendorID 和 productID。使用<code>lsusb</code>命令。</p>
<pre>
</pre>
<ol>
<li><code>$ lsusb -vvv </code></li>
</ol>
<p><a href="http://s2.51cto.com/wyfs02/M00/74/C2/wKiom1Yob8rSaO6NAAFO1bRmPbM607.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNzQvQzIvd0tpb20xWW9iOHJTYU82TkFBRk8xYlJtUGJNNjA3LmpwZw==.jpg"></a></p>
<p>上面<code>lsusb</code>的输出中，找出你的 USB 设备，并找出"idVendor"和"idProduct"字段。本例中，我们的结果是<code>idVendor (0x067b)</code>和 <code>idProduct (0x2303)。</code></p>
<p>下面创建一个新的udev规则。</p>
<pre>
</pre>
<ol>
<li><code>$ sudo vi /etc/udev/rules.d/50-myusb.rules </code></li>
</ol>
<hr>
<pre>
</pre>
<ol>
<li><code>SUBSYSTEMS=="usb", ATTRS{idVendor}=="067b", ATTRS{idProduct}=="2303", GROUP="users", MODE="0666"</code></li>
</ol>
<p>用你自己的"idVendor"和"idProduct"来替换。<strong>MODE="0666"</strong>表示USB设备的权限。</p>
<p>现在重启电脑并重新加载 udev 规则：</p>
<pre>
</pre>
<ol>
<li><code>$ sudo udevadm control --reload </code></li>
</ol>
<p>接着验证下 USB 设备的权限。</p>
<p><a href="http://s2.51cto.com/wyfs02/M00/74/BE/wKioL1YocAOgr5kIAACcXKXwBqI437.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvNzQvQkUvd0tpb0wxWW9jQU9ncjVrSUFBQ2NYS1h3QnFJNDM3LmpwZw==.jpg"></a></p>
<hr>
<p>本文作者：佚名</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 19:20:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/open/" title="open">open</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何在Linux中永久修改USB设备权限的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx5xKPp.html" rel="bookmark">Linux 有问必答：如何在 Linux 中永久修改 USB 设备权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提问:当我尝试在 Linux 中运行 USB GPS 接收器时我遇到了下面来自 gpsd 的错误. gpsd[377]: gpsd:ERROR: read-only device open failed: Permission denied gpsd[377]: gpsd:ERROR: /dev/ttyUSB0: device activation failed. gpsd[377]: gpsd:ERROR: device open failed: Permission denied - ret			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GoKgp.html" rel="bookmark">Linux有问必答：如何在Linux中修改环境变量PATH</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux有问必答:如何在Linux中修改环境变量PATH 提问: 当我试着运行一个程序时,它提示&quot;command not found&quot;. 但这个程序就在/usr/local/bin下.我该如何添加/usr/local/bin到我的PATH变量下,这样我就可以不用指定路径来运行这个命令了. 在Linux中,PATH环境变量保存了一系列的目录用于用户在输入的时候搜索命令.PATH变量的值由一系列的由冒号分隔的绝对路径组成.每个用户都有特定的PATH环境变量(由系统级的PATH变量初始化)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXW9dlM.html" rel="bookmark">&lbrack;小白技巧&rsqb;如何在Linux中知道你的系统是否有USB 3&period;0 端口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[小白技巧]如何在Linux中知道你的系统是否有USB 3.0 端口 近来的大多数的新计算机都有了USB 3.0接口了.但是你怎么知道你的计算机有没有USB 3.0接口?这篇短文中,我们会告诉如何在Linux下知道你的系统上有USB 3还是USB3接口. 在Linux终端中检测是否有USB 3.0 端口 打开一个终端,并使用下面的命令: lsusb 这个命令会显示你系统下USB的总线信息.检查一下结果,如果你看到像&quot;3.0 root hub&quot;字样,这意味着你系统有USB 3.0.比如,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOa6mQM.html" rel="bookmark">如何在Linux中恢复一个删除了的文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你曾经是否遇到这样的事?当你发现的时候,你已经通过删除键,或者在命令行中使用 rm 命令,错误的删除了一个不该删除的文件. 在第一种情况下,你可以到垃圾箱,搜索那个文件,然后把它复原到原始位置.但是第二种情况又该怎么办呢?你可能知道,Linux 命令行不会把删除的文件转移到任何位置,而是直接把它们移除了,biu~,它们就不复存在了. 在这篇文章里,将分享一个很有用的技巧来避免此事发生.同时,也会分享一个工具,不小心删除了某些不该删除的文件时,也许用得上. 把删除创建为 rm -i 的别名 当 -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3owr0b.html" rel="bookmark">如何在 Linux 中恢复一个删除了的文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你曾经是否遇到这样的事?当你发现的时候,你已经通过删除键,或者在命令行中使用 rm 命令,错误的删除了一个不该删除的文件. 在第一种情况下,你可以到垃圾箱,搜索那个文件,然后把它复原到原始位置.但是第二种情况又该怎么办呢?你可能知道,Linux 命令行不会把删除的文件转移到任何位置,而是直接把它们移除了,biu~,它们就不复存在了. 在这篇文章里,将分享一个很有用的技巧来避免此事发生.同时,也会分享一个工具,不小心删除了某些不该删除的文件时,也许用得上. 把删除创建为 rm -i 的别名 当 -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmod9M.html" rel="bookmark">LFCS 系列第五讲：如何在 Linux 中挂载&sol;卸载本地文件系统和网络文件系统（Samba 和 NF</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				LFCS 系列第五讲:如何在 Linux 中挂载/卸载本地文件系统和网络文件系统(Samba 和 NF Linux 基金会已经发起了一个全新的 LFCS(Linux 基金会认证系统管理员Linux Foundation Certified Sysadmin)认证,旨在让来自世界各地的人有机会参加到 LFCS 测试,获得关于有能力在 Linux 系统中执行中间系统管理任务的认证.该认证包括:维护正在运行的系统和服务的能力.全面监控和分析的能力以及何时向上游团队请求支持的决策能力. LFCS 系列第			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVyXAb.html" rel="bookmark">逝去的纪念：如何在Linux中同步微软 OneDrive</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				逝去的纪念:如何在Linux中同步微软 OneDrive [编者注]:本文译文完成之后不久,OneDrive 就成了中国人的昨日黄花了.编者想了想,还是发出来罢,仅以此文纪念我们逝去的这个.那个.以及这些和那些.也许若干年后我们回忆起来,我们曾经有过那么多那些,而当时却挑三拣四,没有珍惜,如果再给我一次机会-- OneDrive(以前称为SkyDrive)是微软的一个广受欢迎的云存储产品.目前OneDrive为每一个新注册用户提供7GB免费存储空间.正如你所想,OneDrive与微软其他软件产品			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3Y4kz.html" rel="bookmark">如何在 Linux 中使用 Alpine 在命令行里访问 Gmail</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在 Linux 中使用 Alpine 在命令行里访问 Gmail 假如你是一个命令行爱好者,我很确信你会使用这个强大的工作环境来执行哪怕是一项日常任务的工具,并为之欢呼,例如从 安排日程 . 管理财务 到 获取 Facebook .Twitter等任务.(LCTT 译注:阅读本文的另一个前提是,假如你还能访问 Gmail 或者知道 Gmail 是什么的话.) 在这个帖子中,我将为你展示 Linux 命令行的另一个漂亮干练的使用案例:访问 Google 的 Gmail 服务,为此,我们将使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBwwZM.html" rel="bookmark">如何在 Linux 中使用 sFTP 上传或下载文件与文件夹</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sFTP(安全文件传输程序)是一种安全的交互式文件传输程序,其工作方式与 FTP(文件传输协议)类似. 然而,sFTP 比 FTP 更安全:它通过加密 SSH 传输处理所有操作. 它可以配置使用几个有用的 SSH 功能,如公钥认证和压缩. 它连接并登录到指定的远程机器,然后切换到交互式命令模式,在该模式下用户可以执行各种命令. 在本文中,我们将向你展示如何使用 sFTP 上传/下载整个目录(包括其子目录和子文件). 如何在 Linux 中使用 sFTP 传输文件/文件夹 默认情况下,SFTP 协			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlLZRM.html" rel="bookmark" class="title">Photoshop制作唯美炫丽星空字</a>
					<div>
						  先看看效果图: 天气晴朗的时候,到了晚上繁星点点,注意观察的话它们会组成一幅幅奇妙的图案,有时候还特别像一些文字呢!下面我们用Photoshop打造一款星空字. 1.打开一幅夜空的背景图片,效果如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7D6Ab.html" rel="bookmark" class="title">发送带附件的HTML格式邮件例程&lbrack;转&rsqb;可以带附件的哟。精华备查？</a>
					<div>
						精华 发送带附件的HTML格式邮件例程 如何通过 ASP 来发送带附件.格式为 HTML 的邮件?下面提供了一个例程. &lt;%@ LANGUAGE=VBScript%&gt;&lt;%Respon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYyKZM.html" rel="bookmark" class="title">PHP实现的功能是显示8条基色色带</a>
					<div>
						由于PHP的本色表参数只能支持256,为了能实现显示8色或更多的色带,我使用了参数传递的方法来实现.具体实现的代码如下: 1.生成色带图形的程序transition.php&lt;?php/**  功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balJmwz.html" rel="bookmark" class="title">设置margin和padding为0可去掉DIV与DIV的空白</a>
					<div>
						 div中左右居中代码 text-align:center;(水平方向)vertical-align:middle;(垂直方向) line-height:30px;(30px是与设置的div的高度一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PyOJM.html" rel="bookmark" class="title">asp&period;net导出Excel类库代码分享</a>
					<div>
						 这篇文章主要介绍了asp.net导出Excel类库代码,有需要的朋友可以参考一下    代码如下: using System; using System.Collections.Generic; u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNoy8b.html" rel="bookmark" class="title">Linux操作系统下设置基本网络参数四种方法</a>
					<div>
						  一.引言 在Red Hat Linux 6.0系统中,自带有Netscape浏览器,让Linux通过以太网卡访问Internet时,必须对Linux系统进行相应的配置,诸如主机.域名.网关.路由器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PGQDM.html" rel="bookmark" class="title">云引擎AEC安全禁用函数</a>
					<div>
						  禁用的函数 PHP Options and Information: dl get_current_user get_magic_quotes_runtime set_magic_quotes_r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWWB7b.html" rel="bookmark" class="title">30个奔放的自由设计师个人网站欣赏</a>
					<div>
						  窗明几净的工作台,自由安排的工作时间,没有加班,没有戳屏,在家就能站着把钱挣了 -- 来自一个自由设计师的自白.钦羡之余,有木有想了解一下他们的设计呢?今天我们就收集了30个自由设计师的个人小站, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8WX2b.html" rel="bookmark" class="title">中文字体多大才美观？</a>
					<div>
						  一直在学着创建wordpress主题,在网上看到很多国外的wordpress主题,非常漂亮,就想拿到自己的博客上用一用,上传后才发现,原本漂亮的主题怎么看着就不顺眼了!仔细观察发现,很多时候造成这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NNonz.html" rel="bookmark" class="title">通讯-C&num;有关于Socket通信的问题</a>
					<div>
						问题描述 C#有关于Socket通信的问题 我用VB做客户端向C#服务器发送Byte数组,C#服务器接收到第一次结果是正确的,但是发送第二次,就只能接收到一堆0了,经过调试发现发送是没有问题的,问题就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQPw8p.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;中字符数组转 string类引用问题</a>
					<div>
						问题描述 C++中字符数组转 string类引用问题 函数定义: void fun(const string &amp;s){ cout&lt;&lt;s&lt;&lt;endl; } 如果调用fun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE5Vmz.html" rel="bookmark" class="title">云计算、虚拟化 未来技术的商业智慧</a>
					<div>
						本文讲的是云计算.虚拟化 未来技术的商业智慧,[IT168 资讯]从云计算.虚拟化.到随时随地上网等,未来技术不再仅仅是工程师驾驭的产物,而是创新精神与商业智慧的巧妙结合 &quot;如果您的孩子需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qko7p.html" rel="bookmark" class="title">技术解析：如何利用伪造的&OpenCurlyDoubleQuote;附件&rdquo;对Gmail用户进行钓鱼攻击？</a>
					<div>
						攻击事件概述 根据安全研究专家的最新发现,网络犯罪分子们目前正在利用一种经过特殊设计的URL链接来对Gmail用户进行网络钓鱼攻击.当用户点击了恶意链接之后,攻击者会诱使他们输入自己的Gmail邮箱凭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Bx9b.html" rel="bookmark" class="title">Eclipse报错&amp;amp&semi;quot&semi;No embedded stylesheet instruction for file&amp;amp&semi;quot&semi;的解决方法</a>
					<div>
						原文:http://hi.baidu.com/ini_always/blog/item/3c4b7a531ca15e15377abe7e.html 前一阵子去实习,后来也没什么好写的,所以很久没写东西 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKO8Zz.html" rel="bookmark" class="title">OpenStack中文社区落户啦！</a>
					<div>
						问题描述 OpenStack中文社区顺利上线―在这里您将了解到最新.最全的新闻资讯:大牛分享技术经验:技术资源和应用实践:与同行.微博达人自由讨论互动等.欢迎大家随时来社区踩踩!!! 解决方案 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZekAz.html" rel="bookmark" class="title">中投投资初试互联网</a>
					<div>
						晨报讯 昨日,中投协助完成了76亿美元向雅虎回购股份的计划,中投由此进入阿里巴巴集团的股东阵营.投行人士认为,该投资意味着中投在新的投资风格上走出至关重要的一步.此前,作为主权投资基金,因战略的定位, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRo7Eb.html" rel="bookmark" class="title">Serverless技术架构&mdash;&mdash;极简运维，无限扩容</a>
					<div>
						      移动互联网.物联网和大数据应用的快速发展极大地促进了人们对云计算的需求.但是让应用架构拥有良好的可伸缩性和高可用性并非易事,运维和管控庞大的基础架构更是极大的挑战.       近年来,一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7LqYz.html" rel="bookmark" class="title">前方高能：加密通信可埋下无法检测的后门</a>
					<div>
						研究人员警告,当今互联网上许多用来保护通信的1024位密钥,其基于的质数能够以无法检测的方式埋下后门. 网站.电子邮件.VPN.SSH,以及其他网络连接使用着许多公钥加密算法,其难于破解的特性来自于离 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JJ0gz.html" rel="bookmark" class="title">混合云使用不能盲目：学习最佳实践是王道</a>
					<div>
						多年来,企业一直享受着混合云带来的益处.然而,他们同时也忍受着不断增长的痛苦,混合云的新人可以从他们的前辈所犯的错误中学习. 混合云的采用率正在上升.很多组织看到了云服务的优势,但他们也想要自己拥有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nOjAz.html" rel="bookmark" class="title">asp&period;net-三级省市联动JS能把它存成一条地址么？就是数据库里一个字段？</a>
					<div>
						问题描述 三级省市联动JS能把它存成一条地址么?就是数据库里一个字段? aspx注册信息页,联系地址与原来是设计了TEXTBOX,所以数据库只有一个联系地址字段, 现在想改成三级省市的联动选择,还能存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwZX8M.html" rel="bookmark" class="title">amf 数据解析的问题，</a>
					<div>
						问题描述 我用Ha截包工具截得amf3返回的数据,但是不知道他的数据是如何解析的图一为结构体,可视图二,为对应的16进制,也就是0488db34对应整形142772请高手帮忙看洗下如何用142772转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y7Jxz.html" rel="bookmark" class="title">请问谁了解weblogic集群的单点传送和多点传送机制么？</a>
					<div>
						问题描述 搭建环境的时候遇到报错,当集群的消息传送模式设置成多点传送的时候会报如下错误,后来再JAVA_OPTION里加入-Djava.net.preferIPv4Stack=true后解决,但不明白 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE4dvM.html" rel="bookmark" class="title">迅雷的死穴到底在哪里？</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 迅雷CEO邹胜龙 摘要:如果说&quot;版权门&quot;是迅雷的成年礼,熬过去,迅雷就长大了;那么&quot;技术门&quot;将是迅雷的死 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44wArz.html" rel="bookmark" class="title">好未来第三财季业绩要点</a>
					<div>
						新浪科技讯 北京时间1月22日晚间的消息,财经汇总的数据显示,华尔街4位分析师的平均预计,按美国通用会计准则(GAAP)来计算,好未来第三财季每股收益将高达0.14美元.财报显示称,好未来第三财季每股 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVVO3z.html" rel="bookmark" class="title">每日十条JavaScript经验技巧&lpar;二&rpar;&lowbar;基础知识</a>
					<div>
						1. 非数值类型转数值 使用Number()转换时: undefined会转为NaN 如果字符串以0开始,浏览器会忽略前导0,不会按照八进制进行转换 如果字符串以0x开始,浏览器会按照十六进制转化为十 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn89R2b.html" rel="bookmark" class="title">使用Python的Twisted框架编写简单的网络客户端&lowbar;python</a>
					<div>
						Protocol  和服务器一样,也是通过该类来实现.先看一个简短的例程: from twisted.internet.protocol import Protocol from sys import ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNeOQp.html" rel="bookmark" class="title">Ruby连接SQL Server数据库配置教程</a>
					<div>
						因为工作需要,要分析存放在SQL Server上的数据,所以不得不研究一下如何使用Ruby访问SQL Server,发现其实还是很简单的: 安装FreeTDS 1.下载FreeTDS源代码 2.解压编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1qm8b.html" rel="bookmark" class="title">斗鱼TV更换域名：淘汰&period;tv后缀？启用douyutv&period;com</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 易名中国(eName.cn)8月1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmQ36z.html" rel="bookmark" class="title">数据泄露事件频发，谁来背锅？</a>
					<div>
						在电影&lt;绝对控制&gt;中,导演为观众构建了一幅美好的画面:能记录下生活中一切的高端手机.满足家庭各个成员的智能家居用品,以及极为高效的线上互动服务,等等. 不过,编剧似乎也在拷问观众:在这看似 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBy6Wdz.html" rel="bookmark" class="title">联通宽带频繁断网、网速过慢的问题</a>
					<div>
						近日,联通宽带频繁断网.网速过慢的问题被大量投诉,消费者呼吁联通应拿出实际行动,不要一拖再拖置用户体验于不顾. 系统自动回复难得人心 联通网络的种种问题由来已久,在网络上能看到用户的大量投诉. 微博上 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
